cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/egress-rules/{rule_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"cluster_id":"35c4abb2-bb66-46d7-afed-25ebef5ed100","ports":[443,80],"rule_id":"35c4abb2-bb66-46d7-afed-25ebef5ed2aa"}'{
"Rule": {
"cluster_id": "<string>",
"crl_managed": true,
"description": "<string>",
"destination": "<string>",
"id": "<string>",
"name": "<string>",
"state": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"paths": [
"<string>"
],
"ports": [
123
]
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Edit an existing egress rule
PATCH
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
egress-rules
/
{rule_id}
cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/egress-rules/{rule_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"cluster_id":"35c4abb2-bb66-46d7-afed-25ebef5ed100","ports":[443,80],"rule_id":"35c4abb2-bb66-46d7-afed-25ebef5ed2aa"}'{
"Rule": {
"cluster_id": "<string>",
"crl_managed": true,
"description": "<string>",
"destination": "<string>",
"id": "<string>",
"name": "<string>",
"state": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"paths": [
"<string>"
],
"ports": [
123
]
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Path Parameters
Body
application/json
EditEgressRuleRequest is the input message to the EditEgressRule RPC.

